[package]
name = "ghost-nomination-pools"
version = "25.0.0"
authors.workspace = true
edition.workspace = true
license = "Apache-2.0"
homepage = "https://substrate.io"
repository.workspace = true
description = "Fork of FRAME nomination pools pallet from Parity"

[dependencies]
# parity
codec = { workspace = true, features = ["derive"] }
scale-info = { workspace = true, features = ["derive"] }

# FRAME
frame-support = { workspace = true, default-features = false }
frame-system = { workspace = true, default-features = false }
sp-runtime = { workspace = true, default-features = false }
sp-std = { workspace = true, default-features = false }
sp-staking = { workspace = true, default-features = false }
sp-core = { workspace = true, default-features = false }
sp-io = { workspace = true, default-features = false }
log = { workspace = true }

# Optional: use for testing and/or fuzzing
pallet-balances = { workspace = true, optional = true, default-features = false }
sp-tracing = { workspace = true, optional = true, default-features = false }

[dev-dependencies]
pallet-balances = { workspace = true }
sp-tracing = { workspace = true }

[features]
default = ["std"]
fuzzing = ["pallet-balances", "sp-tracing"]
std = [
	"codec/std",
	"frame-support/std",
	"frame-system/std",
	"log/std",
	"pallet-balances?/std",
	"scale-info/std",
	"sp-core/std",
	"sp-io/std",
	"sp-runtime/std",
	"sp-staking/std",
	"sp-std/std",
	"sp-tracing?/std",
]
runtime-benchmarks = [
	"frame-support/runtime-benchmarks",
	"frame-system/runtime-benchmarks",
	"pallet-balances?/runtime-benchmarks",
	"sp-runtime/runtime-benchmarks",
	"sp-staking/runtime-benchmarks",
]
try-runtime = [
	"frame-support/try-runtime",
	"frame-system/try-runtime",
	"pallet-balances?/try-runtime",
	"sp-runtime/try-runtime",
]
